### Method

# Gimp Vectors stroke_interpolate

since: 2.4

#### Declaration [src]

    gdouble*
    gimp_vectors_stroke_interpolate (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble precision,
      gint* num_coords,
      gboolean* closed
    )

#### Description [src]

Returns polygonal approximation of the stroke.

returns polygonal approximation of the stroke.

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`precision`

  Type: `gdouble`

  The precision used for the approximation.

`num_coords`

  Type: `gint*`

  The number of floats returned.

  The argument will be set by the function.

`closed`

  Type: `gboolean*`

  Whether the stroke is closed or not.

  The argument will be set by the function.

#### Return value

Type: An array of `double`

         List of the coords along the path (x0, y0, x1, y1, ...).
         The returned value must be freed with g_free().

The length of the array is in the `num_coords` argument.
The caller of the method takes ownership of the data, and is responsible for freeing it.